Subject: bug#36180: Problem with non ASCII chars in Libreoffice and zsh on foreign distro

From: Ludovic Courtès <[email-masked]>
Date: Thu, 13 Jun 2019 10:02:08 +0200

Hello Andréas,

Andréas Livet <[email-masked]> skribis:

> It works pretty well but I'm having some trouble with non ASCII
> characters in filenames.
>
> * I can't open files with non ASCII characters in LibreOffice
>
> * I can't type non ASCII characters in zsh (though I can with guix
> installed bash)

Did you install ‘glibc-locales’ and set ‘GUIX_LOCPATH’ as explained in:

  https://gnu.org/software/guix/manual/en/html_node/Application-Setup.html#Locales

?

You must make sure ‘GUIX_LOCPATH’ is defined in the environment of
LibreOffice and zsh.

Do you see any locale-related warnings?

Thanks for reporting the issue!

Ludo’.